SecureProtocolSocketFactory (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.protocol

## Interface SecureProtocolSocketFactory

- All Superinterfaces:
    ProtocolSocketFactory
  All Known Implementing Classes:
    SSLProtocolSocketFactory

      public interface SecureProtocolSocketFactory
      extends ProtocolSocketFactory

  A ProtocolSocketFactory that is secure.
  Since:
    2.0
  Author:
    Michael Becke, Mike Bowler
  See Also:
    `ProtocolSocketFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String host, int port, boolean autoClose)` Returns a socket connected to the given host that is layered over an existing socket.

    - ### Methods inherited from interface org.apache.commons.httpclient.protocol.ProtocolSocketFactory

      `createSocket, createSocket, createSocket`

- - ### Method Detail

    - #### createSocket

          java.net.Socket createSocket(java.net.Socket socket,
                                       java.lang.String host,
                                       int port,
                                       boolean autoClose)
                                throws java.io.IOException,
                                       java.net.UnknownHostException

      Returns a socket connected to the given host that is layered over an existing socket. Used primarily for creating secure sockets through proxies.
      Parameters:
        `socket` - the existing socket
        `host` - the host name/IP
        `port` - the port on the host
        `autoClose` - a flag for closing the underling socket when the created socket is closed
      Returns:
        Socket a new socket
      Throws:
        `java.io.IOException` - if an I/O error occurs while creating the socket
        `java.net.UnknownHostException` - if the IP address of the host cannot be determined

Copyright (c) 1999-2005 - Apache Software Foundation